%global fontname adf-gillius
%global fontconf 69-%{fontname}

%global common_desc \
The Gillius family from the Arkandis Digital Foundry is a set of sans-serif \
typefaces intended as an alternative to Gill Sans. Its two widths, regular and \
condensed, both feature a roman and an italic, and each includes a regular and \
bold weight.

Name:		%{fontname}-fonts
Version:	1.008
Release:	%mkrel 10
Summary:	Gillius ADF sans-serif typeface family

Group:		System/Fonts/True type 
License:	GPLv2+ with exceptions
URL:		http://arkandis.tuxfamily.org/adffonts.html
Source0:	http://arkandis.tuxfamily.org/fonts/Gillius-Collection.zip
Source1:	%{fontname}-fontconfig.conf
Source2:	%{fontname}-2-fontconfig.conf

BuildArch:	noarch
BuildRequires:	fontpackages-devel

Requires:	%{name}-common = %{version}-%{release}

%description
%common_desc

This is the base variant.

%package common
Summary:	Common files of %{fontname}
Requires:	fontpackages-filesystem

%description common
%common_desc

This package consists of files used by other %{fontname} packages

%package -n %{fontname}-2-fonts
Summary:	Gillius ADF No2 sans-serif typeface family
Requires:	%{name}-common = %{version}-%{release}

%description -n %{fontname}-2-fonts
%common_desc

A slightly rounder variant, which features the same set of weights,
widths, and slopes. 

%prep
%setup -q -n Gillius-Collection
for file in NOTICE OTF/COPYING; do
 sed "s|\r||g" $file > $file.new && \
 touch -r $file $file.new && \
 mv $file.new $file
done


%build


%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p OTF/*.otf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
			%{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
	%{buildroot}%{_fontconfig_templatedir}/%{fontconf}.conf
ln -s %{_fontconfig_templatedir}/%{fontconf}.conf \
	%{buildroot}%{_fontconfig_confdir}/%{fontconf}.conf
install -m 0644 -p %{SOURCE2} \
	%{buildroot}%{_fontconfig_templatedir}/%{fontconf}-2.conf
ln -s %{_fontconfig_templatedir}/%{fontconf}-2.conf \
	%{buildroot}%{_fontconfig_confdir}/%{fontconf}-2.conf

%_font_pkg -f %{fontconf}.conf GilliusADF-*.otf

%_font_pkg -n 2 -f %{fontconf}-2.conf GilliusADFNo2-*.otf

%files common
%defattr(0644,root,root,0755)
%doc NOTICE OTF/COPYING



%changelog
* Thu Feb 04 2016 umeabot <umeabot> 1.008-10.mga6
+ Revision: 934529
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.008-9.mga5
+ Revision: 747311
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.008-8.mga5
+ Revision: 677699
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.008-7.mga4
+ Revision: 502459
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.008-6.mga3
+ Revision: 345292
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 19 2012 dmorgan <dmorgan> 1.008-5.mga3
+ Revision: 272564
- Fix descriptions

* Sun Mar 13 2011 dmorgan <dmorgan> 1.008-4.mga3
+ Revision: 70858
- imported package adf-gillius-fonts


* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.008-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov 15 2010 Michael J Gruber <mjg at fedoraproject.org> - 1.008-3
- split into subpackages

* Mon Nov 15 2010 Michael J Gruber <mjg at fedoraproject.org> - 1.008-2
- Add fontconfig rules for Gillius ADF No2

* Sun Nov 14 2010 Michael J Gruber <mjg at fedoraproject.org> - 1.008-1
- Initial packaging for Fedora
